Integration Service
latest
false
重要 :
请注意,此内容已使用机器翻译进行了本地化。 Integration Service 中提供的连接器包采用的是机器翻译的译文。
Integration Service 用户指南
Automation CloudAutomation Cloud Public Sector
Last updated 2024年7月24日

Google 文档身份验证

先决条件

根据您选择的身份验证类型,您需要满足以下条件之一:

  • 您的 Google 电子邮件地址和与您的 Google 帐户关联的密码。
  • 应用程序的客户端 ID 和客户端密码,以及作用域。

如果 Google 未启用您的帐户:

  • 请您的管理员批准创建连接。
  • 通过选中允许创建连接的可用选项来启用权限。

有关 Google 文档的更多信息,请参阅Google 文档开发者文档

权限

连接即允许 UiPath 产品代表您与 Google 文档数据进行交互。 这可能包括读取、写入、修改和删除数据,具体取决于您的 Google 文档权限。 您随时可以删除Google 帐户中的任何访问权限。

连接器请求以下作用域: openidhttps ://www.googleapis.com/auth/userinfo.emailhttps ://www.googleapis.com/auth/userinfo.profilehttps ://www.googleapis.com/auth/drive

这是所需作用域的完整列表。 如果您自带 OAuth 2.0 应用程序并选择较少的作用域,则可能不会使用某些活动。

添加 Google 文档连接

  1. 选择 Automation Cloud 中的 Integration Service
  2. 从“连接器” 列表中选择“ Google 文档” 。 您也可以使用搜索栏来查找连接器。

  3. 选择“添加连接” 按钮。
  4. 现在,系统会将您重定向到连接页面。 您可以选择两种身份验证类型:“OAuth 2.0 授权代码”或“自带 OAuth 2.0 应用程序”。
    • 如果您选择 OAuth 2.0 授权代码,请单击 “连接”,然后使用您的 Google 电子邮件地址和密码进行身份验证。
    • 如果您选择“自带 OAuth 2.0 应用程序”,则必须提供客户端 ID 和客户端密码,以及与不同活动交互时可能需要的作用域。 查看活动的文档,以了解其需要的作用域。
  5. 已添加您的连接。

OAuth 应用程序的刷新令牌

Google 对单个 OAuth 2.0 客户端 ID 具有刷新令牌限制。 如果达到限制,则创建新的刷新令牌会自动使最早的刷新令牌失效,而不会发出警告。 此限制不适用于服务帐户(请参阅将 OAuth 2.0 用于服务器到服务器应用程序)。 如需了解详情,请参阅 Google 官方文档

可能导致令牌过期的原因列表:
  • 您已撤销应用程序的访问权限
  • 刷新令牌已六个月未使用。
  • 您需要更改密码,并且刷新令牌包含 Gmail 作用域。
  • 您的帐户已超过授予的 (实时) 刷新令牌的最大数量。
    • 如果您在超出限制后请求新令牌,则基于先前授予的令牌的旧连接将过期。 只有新连接或最新编辑/重新进行身份验证的连接(使用最新的令牌)才能正常工作。
  • 管理员已将您应用程序作用域内请求的任何服务设为“受限”(错误为“ admin_policy_enforced ”)。
  • 对于Google Cloud Platform API :可能已超过管理员设置的会话时长。
注意:此限制当前设置为每个 Google 帐户每个 OAuth 2.0 客户端 ID 100 个刷新令牌。 此数字可能会发生变化。 如需最新信息,请随时查看 Google 文档。

一个用户帐户或服务帐户可以在所有客户端上拥有的刷新令牌总数有一个更大的限制。 普通用户不会超过此限制,但用于测试实施的开发者帐户可能会超过此限制。

为确保不超过此限制,UiPath 允许用户创建自己的 OAuth 应用程序并使用“自带应用程序”身份验证类型进行连接。 创建 OAuth 应用程序时,请务必遵循 Google 的最佳实践。 有关如何创建 OAuth 应用程序的详细信息,请参阅 Google 的官方文档

警告:令牌失效会导致连接失败,并且在不修复连接的情况下,自动化将无法运行。

此页面有帮助吗?

获取您需要的帮助
了解 RPA - 自动化课程
UiPath Community 论坛
Uipath Logo White
信任与安全
© 2005-2024 UiPath。保留所有权利。